/*
 * $Id: GZIPDataFilterTest.java,v 1.2 2005/10/26 16:24:17 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss.rcm.df;

import junit.framework.TestCase;

/**
 * GZIPDataFilterのテストユニット
 * 
 * @author  satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class GZIPDataFilterTest extends TestCase {
	private GZIPDataFilter filter;

	/**
	 * Constructor for GZIPDataFilterTest.
	 * @param arg0
	 */
	public GZIPDataFilterTest(String arg0) {
		super(arg0);
	}

	/**
	 * GZIP圧縮と伸張のテスト
	 * @throws Exception
	 */
	public void testFilterInOut() throws Exception {
		String orgString =
			"【ニューヨーク１９日共同】サンフランシスコ" +
			"の米連邦高裁は１９日、インターネット上で情" +
			"報を交換できるファイル共有ソフトの提供者に" +
			"音楽や映画の著作権侵害の責任を問えないとの" +
			"判決を下した。";

		byte[] bd = filter.compressContents(orgString.getBytes());
		assertEquals(orgString, filter.decompressContents(bd));
	}

	/**
	 * フィルタの生成
	 */
	public void setUp() {
		filter = new GZIPDataFilter();
	}
}
